# {{ ansible_managed }}

[global_tags]

[agent]
  interval = "10s"
  round_interval = true
  metric_batch_size = 1000
  metric_buffer_limit = 10000
  collection_jitter = "0s"
  flush_interval = "10s"
  flush_jitter = "0s"
  precision = ""
  hostname = "{{ ansible_hostname }}"

[[outputs.influxdb]]
  urls = ["{{ telegraf_influxdb_url }}"]
  database = "{{ telegraf_influxdb_database }}"

[[inputs.cpu]]
  percpu = true
  totalcpu = true
  collect_cpu_time = false
  report_active = false

[[inputs.kernel]]

[[inputs.mem]]

[[inputs.processes]]

[[inputs.disk]]
  ignore_fs = ["tmpfs", "devtmpfs", "devfs", "iso9660", "overlay", "aufs", "squashfs"]

[[inputs.diskio]]

[[inputs.swap]]

[[inputs.system]]
  fielddrop = ["uptime_format"]

[[inputs.net]]

[[inputs.netstat]]

[[inputs.linux_sysctl_fs]]
